data:extend({
  {
    type = "technology",
    name = "phasing-cannon-shell",
    icon = "__dark-matter-replicators__/graphics/icons/phasing-cannon-shell.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "phasing-cannon-shell"
      }
    },
    prerequisites = {"tanks", "phasing-rocket"},
    unit = research(125, 1, 1, 1, 0, 40)
  },
  {
    type = "recipe",
    name = "phasing-cannon-shell",
    enabled = false,
    energy_required = 8,
    ingredients =
    {
      {"steel-plate", 4},
      {"plastic-bar", 2},
      {"explosives", 1},
	  {"matter-conduit", 1}
    },
    result = "phasing-cannon-shell"
  },
  {
    type = "ammo",
    name = "phasing-cannon-shell",
    icon = "__dark-matter-replicators__/graphics/icons/phasing-cannon-shell.png",
    flags = {"goes-to-main-inventory"},
    ammo_type =
    {
      category = "cannon-shell",
      target_type = "direction",
      action =
      {
        type = "direct",
        action_delivery =
        {
          type = "projectile",
          projectile = "phasing-cannon-projectile",
          starting_speed = 0.9,
          direction_deviation = 0.11,
          range_deviation = 0.09,
          max_range = 27,
          source_effects =
          {
            type = "create-explosion",
            entity_name = "explosion-gunshot"
          },
        }
      },
    },
    subgroup = "ammo",
    order = "d[cannon-shell]-c[phasing]",
    stack_size = 100
  },
  {
    type = "projectile",
    name = "phasing-cannon-projectile",
    flags = {"not-on-map"},
    collision_box = {{-0.05, -1.1}, {0.05, 1.1}},
    acceleration = 0,
    direction_only = true,
    piercing_damage = 3000,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 180 , type = "physical"}
          },
          {
            type = "damage",
            damage = { amount = 60 , type = "explosion"}
          }
        }
      }
    },
    final_action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "small-scorchmark",
            check_buildability = true
          }
        }
      }
    },
    animation =
    {
      filename = "__base__/graphics/entity/bullet/bullet.png",
      frame_count = 1,
      width = 3,
      height = 50,
      priority = "high"
    },
  },
})